[Git][qa/jenkins.debian.net][master] jenkins nodes: fix permission fix to not loop endlessly

Holger Levsen (@holger) gitlab at salsa.debian.org
Sat Mar 21 11:20:46 GMT 2026



Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net


Commits:
2fada2c9 by Holger Levsen at 2026-03-21T12:20:36+01:00
jenkins nodes: fix permission fix to not loop endlessly

Signed-off-by: Holger Levsen <holger at layer-acht.org>

- - - - -


1 changed file:

- bin/reproducible_maintenance.sh


Changes:

=====================================
bin/reproducible_maintenance.sh
=====================================
@@ -1,7 +1,7 @@
 #!/bin/bash
 # vim: set noexpandtab:
 
-# Copyright 2014-2025 Holger Levsen <holger at layer-acht.org>
+# Copyright 2014-2026 Holger Levsen <holger at layer-acht.org>
 #         © 2015-2023 Mattia Rizzolo <mattia at debian.org>
 # released under the GPLv2
 
@@ -449,12 +449,12 @@ fi
 echo "$(date -u) - Checking for files with bad permissions."
 # automatically fix rbuild files with wrong permissions...
 # (we know it happens (very rarely) but... shrugs.)
-[ ! -d $DEBIAN_BASE/rbuild ] || find $DEBIAN_BASE/{buildinfo,dbd,dbdtxt,dbdjson,logs,logdiffs,rbuild,artifacts,buster,bullseye,bookworm,trixie,forky,unstable,experimental,rb-pkg} -type f ! -perm 664  -exec sudo chmod -v 664 {} \; 2>/dev/null|| true
+[ ! -d $DEBIAN_BASE/rbuild ] || find $DEBIAN_BASE/{buildinfo,dbd,dbdtxt,dbdjson,logs,logdiffs,rbuild,artifacts,buster,bullseye,bookworm,trixie,forky,unstable,experimental,rb-pkg} -type f ! -perm 664 ! -perm 644 -exec sudo chmod -v 664 {} \; 2>/dev/null|| true
 BADPERMS=$(find $DEBIAN_BASE/{buildinfo,dbd,dbdtxt,dbdjson,logs,logdiffs,rbuild,artifacts,buster,bullseye,bookworm,trixie,forky,unstable,experimental,rb-pkg} -type f ! -perm 664 2>/dev/null|| true)
 if [ -n "$BADPERMS" ] ; then
     DIRTY=true
     echo
-    echo "Warning: Found files with bad permissions (!=664) which couldn't be fixed, please fix manually:"
+    echo "Warning: Found files with bad permissions (!=664 and !=644) which couldn't be fixed, please fix manually:"
     echo "$BADPERMS"
     echo
 fi



View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/2fada2c96cb6b1f2123719e2482e17a93510a48d

-- 
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/2fada2c96cb6b1f2123719e2482e17a93510a48d
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20260321/eb8ccd71/attachment-0001.htm>


More information about the Qa-jenkins-scm mailing list